Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.states
Class CIBResourceAvailabilityStatusImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.states.CIBAvailabilityStatusStateImpl
          com.sun.mfwk.cib.sdk.states.CIBResourceAvailabilityStatusImpl

All Implemented Interfaces:
  CIBAvailabilityStatusState, CIBProvider, CIBState

public class CIBResourceAvailabilityStatusImpl
extends CIBAvailabilityStatusStateImpl

Provides default implementation of an availability status State provider for a CIBResource. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.states.CIBAvailabilityStatusState
`CONGESTED, DEGRADED, NORMAL`

Constructor Summary
`CIBResourceAvailabilityStatusImpl(javax.management.MBeanServerConnection connection, java.util.Map map)` Constructor
`CIBResourceAvailabilityStatusImpl(javax.management.MBeanServerConnection connection, javax.management.ObjectName name)` Contructor
`CIBResourceAvailabilityStatusImpl(javax.management.MBeanServerConnection connection, java.lang.String name)` Contructor

Methods inherited from class com.sun.mfwk.cib.sdk.states.CIBAvailabilityStatusStateImpl
`destroy, getDegradedTime, getLastChange, getState, init, toStateString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIBResourceAvailabilityStatusImpl

    public CIBResourceAvailabilityStatusImpl(javax.management.MBeanServerConnection connection,
                                             java.util.Map map)

  Constructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

### CIBResourceAvailabilityStatusImpl

    public CIBResourceAvailabilityStatusImpl(javax.management.MBeanServerConnection connection,
                                             java.lang.String name)
                                      throws javax.management.MalformedObjectNameException

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `name` - String

### CIBResourceAvailabilityStatusImpl

    public CIBResourceAvailabilityStatusImpl(javax.management.MBeanServerConnection connection,
                                             javax.management.ObjectName name)
                                      throws javax.management.MalformedObjectNameException

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `name` - ObjectName
Throws:
  `javax.management.MalformedObjectNameException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD